Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Profiler::ProfileInstance Struct Reference

Represents an individual profile call. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Attributes
String | name
| The name of the profile.
String | parent
| The name of the parent, empty string if root.
ulong | currTime
| The time this profile was started.
ulong | accum
| Represents the total time of all child profiles to subtract from this profile.
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile.

## Detailed Description

Represents an individual profile call.

Definition at line 261 of file OgreProfiler.h.

## Member Data Documentation

ulong Ogre::Profiler::ProfileInstance::accum

| Represents the total time of all child profiles to subtract from this profile. Definition at line 274 of file OgreProfiler.h.

ulong Ogre::Profiler::ProfileInstance::currTime

| The time this profile was started. Definition at line 270 of file OgreProfiler.h.

uint Ogre::Profiler::ProfileInstance::hierarchicalLvl

| The hierarchical level of this profile, 0 being the root profile. Definition at line 277 of file OgreProfiler.h.

String Ogre::Profiler::ProfileInstance::name

| The name of the profile. Definition at line 264 of file OgreProfiler.h.

String Ogre::Profiler::ProfileInstance::parent

| The name of the parent, empty string if root. Definition at line 267 of file OgreProfiler.h.

The documentation for this struct was generated from the following file:

- OgreProfiler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:24 2007